function qc = qconj( q )
% Calculates the conj (also the inverse if unit quaternion) 
%
% Copyright (C) 2013 - Pieter V. Reyneke, South Africa
%
% Open Source licence, use whereever you like but at own risk, keep this
% complete copyright notice in the code and please send me updates and 
% report errors to pieter.reyneke@gmail.com. Will give recognition, if
% requested, after any valid comment leading to an update was recieved. 
%
% Author: PV Reyneke

    d   = double( q );
    d(:,2:4) = -d(:,2:4);
    qc  = d;
end % qconj
