function [sout] = ssqr (s_in, dim)

% Copyright (C) 2013 - Pieter V. Reyneke, South Africa
%
% Open Source licence, use whereever you like but at own risk, keep this
% complete copyright notice in the code and please send me updates and 
% report errors to pieter.reyneke@gmail.com. Will give recognition, if
% requested, after any valid comment leading to an update was recieved. 
%
% Author: PV Reyneke

if (nargin<1)
    s_in = [1 2 3];
end

if (nargin<2)
    dim = min(find(size(s_in)~=1));
    sout = sum(s_in.*s_in,dim);
else
    sout = sum(s_in.*s_in,dim);
end

